
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>10年老兵带你看尽MaxCompute大数据运算挑战与实践 / iVAN</title>

    <meta name="description" content="10年老兵带你看尽MaxCompute大数据运算挑战与实践 本文根据阿里云大数据计算平台资深架构师林伟在大流量高并发互联网应用实践在线峰会上题为&lt;MaxCompute大数据运算挑战与实践&gt;的分享整理而成.分享中,他主要介绍了在大数据.大流量.高并发情况下MaxCompute所面临的挑战,以及应对这些挑战的实践经验. 直播视频:点击此处观看 幻灯片地址:点击此处下载 以下为在线分享观点整理. 什么是MaxCompute? 大数据计算服务(MaxCompute,原名ODPS)是一种快速.完全托管的PB/EB级数据仓库解决方案,具备万台服务器扩展能 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">10年老兵带你看尽MaxCompute大数据运算挑战与实践</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>本文根据阿里云大数据计算平台资深架构师林伟在大流量高并发互联网应用实践在线峰会上题为《MaxCompute大数据运算挑战与实践》的分享整理而成。分享中，他主要介绍了在大数据、大流量、高并发情况下MaxCompute所面临的挑战，以及应对这些挑战的实践经验。</p>
<p><b>直播视频</b>：点击此处观看</p>
<p><b>幻灯片地址</b>：点击此处下载</p>
<p>以下为在线分享观点整理。</p>
<hr>
<br />什么是MaxCompute？<b></b></p>
<p>大数据计算服务(MaxCompute，原名ODPS)是一种快速、完全托管的PB/EB级数据仓库解决方案，具备万台服务器扩展能力和跨地域容灾能力，是阿里巴巴内部核心大数据平台，支撑每日百万级作业规模。MaxCompute向用户提供了完善的数据导入方案以及多种经典的分布式计算模型，能够更快速的解决用户海量数据计算问题，有效降低企业成本，并保障数据安全。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2YxMTJlMmI2MzVkODNmNTE2MDRmYWUzZGU5ZjdhMzA0OTQ5NzEwZGEucG5n.jpg"></p>
<p>上图是MaxCompute的架构图，该架构中包含多个万台级别的集群，以满足运算的需求；在集群上面部署了盘古分布式存储系统，用于存储海量数据，达到PE级别以上；在分布式存储系统之上又搭建了伏羲分布式调度系统，用于管理硬件资源和存储资源，为上层的运算平台提供共享的资源管理系统；为了充分发挥该架构的计算和存储资源，在分布式调度系统上搭建了MaxCompute统一计算引擎，同时为开发者提供统一的开发框架；在运算引擎上搭建了SQL、MR、迭代计算、图计算、流计算。</p>
<p><b>MaxCompute面临的挑战</b><b></b></p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzNiNDNlMThlYjQ5YTUwNDllNTNmMGYyNDAxNTk5NzU2ODE3NTljZmYucG5n.jpg"></p>
<p>阿里巴巴对MaxCompute的挑战有以下几点：</p>
<ul>
<li>大规模，首先单个集群规模要大，达到万台级别；其次多集群共同运行。</li>
<li>兼容Hive，拥抱生态，利用和回馈社区，拥抱开源。</li>
<li>高性能，低成本。</li>
<li>多租户，需要满足用户不同规模、性能、延时、运算形式上要求。</li>
<li>易用性，扩展性，目标是降低开发门槛，开发人员无需过多理解平台即可写出高效的算法。</li>
<li>稳定和隔离，确保数据安全。</li>
<li>持续可发展性，平台需要根据硬件和业务的变化持续不断地发展。</li>
</ul>
<p>MaxCompute应对挑战的具体实践<b></b></p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzMwOTUwM2RjZjdmOThkYTY4NGY4MTI4NWMwNTk2MWI4M2M2MWY5NTYucG5n.jpg"></p>
<p>首先来看一个SQL运行实例，从上图左侧可以看到该SQL有着复杂的运行逻辑，该任务经过优化器和编译器后编译成可执行的plan，如上图中间的戴尔图所示，包含上万个WorkTask；图中最右侧显示了Stage中每个WorkTask运行状况。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzA3YjIzZTQ2OGYzNWYzNDY2MjNmYzU4ZTNiMjJiMDk3NDZjMmRhZTkucG5n.jpg"></p>
<p>MaxCompute的语言特点包括下面几点：</p>
<ul>
<li>兼容Hive</li>
<li>扩展Hive
<ul>
<li> 更为丰富的UDF支持，全面深入和优化器交互，使得用户仅仅需要考虑业务逻辑，而把分布式执行优化交给系统。</li>
<li> 除了仅支持subquery外，充分支持存储过程，使得用户能够更加容易实现复杂任务，并且给优化器和执行器更多空间去优化，从而提高性能，降低成本</li>
<li> 更多丰富数据接口：结构，非结构，多维度数据安全控制</li>
<li> 更为复杂的编程表达：LOOP/IF</li>
<li> 迭代，支持内存计算</li>
</ul>
</li>
</ul>
<p><b>MaxCompute查询优化器</b><b></b></p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2M4ZmMwMWE5ODY4YWY2ZjRhN2M0ODUwNzM0NDBiMDU4OWRhMGU1NGMucG5n.jpg"></p>
<p>下面来看一下MaxCompute查询优化器，主要包括两种类型：RBO和CBO。</p>
<p>RBO是基于规则的优化器，在早期的MaxCompute中使用，是一种过时的优化器框架，它只认规则，对数据不敏感。优化是局部贪婪，容易陷入局部优化但全局差的场景，容易受应用规则的顺序而生产迥异的执行计划，往往结果不是最优的。</p>
<p>CBO是基于代价的优化器，它实际上是Volcano模型，可以展开各种可能等价的执行计划，然后依赖数据的统计信息，计算这些等价执行计划的代价，最后从中选用Cost最低的执行计划。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzQ0YzMzNTg4ODhlNjk0NjgzNjk1NjU2MDRlZjcxYzZiMDZjZTUxNTgucG5n.jpg"></p>
<p>MaxCompute最新优化器是CBO优化器，上图是CBO优化器工作的过程。在优化过程中，CBO优化器会展开多个等价树，所有的等价树都是可执行计划；之后通过Cost Model来选择最优的执行计划。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2E2YzNkYjQ4MjdiOTQ2M2I0MjgxZDM3MzViYzg3MDI4ZjgzMmVjODEucG5n.jpg"></p>
<p>分布式场景的优化有别于单机优化。上图是在两张表上进行Join操作的简单案例，假设表T1已经按照a，b进行了分区；表T2按照a进行了分区。如果在单机系统中，分区问题不会出现；在分布式系统中，因为分区的出现可能会产生两个不同的执行计划：第一个执行计划是将T1按照a进行重新分区，之后再和T2进行Join；另一种执行计划是假设T1很大，而T2相对没那么大，此时不对T1重新进行分区，而是将T2数据广播给T1的每个分区。两种执行计划在不同的环境各具优势。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzEzOWI5M2Y2OWVlYWJiOTE4YmM5YzkwNDljNTVhMDUwNDU4ODczOTQucG5n.jpg"></p>
<p>在大流量、高并发场景中，每天都需要处理大量相似的查询，这就给优化器带来了巨大机会。HBO优化器是基于历史优化的优化器，对每天提交的查询进行聚类，把以前运行数据作为Hint来帮助未来的相似的查询上。</p>
<p><b>全局调度</b><b></b></p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2MzMDcxZGNiNGVjYjkzZGQxNjVkZTNkY2FmY2RlNDc2NjVkNzFmYjAucG5n.jpg"></p>
<p>MaxCompute在多集群上进行了全局调度的优化。当两个数据中心的集群内都存有用户所需要操作的表，并且版本一致时：当用户1的更新请求提交到离其最近的数据中心A时，数据中心A集群的表版本会升级，进而导致两个集群的版本不一致；当用户2需要读取该表时，由于位置距离另一个数据中心B较近，请求会提交到数据中心B，但数据中心B集群内表版本已过期。此时，系统会被触发，发现两者的不同，进而将表数据从数据中心A调度到数据中心B内。</p>
<p>在大数据操作上有很多其他操作方式，如远程读、Replicate等模式，但这些方式需要充分考虑带宽、任务完成时效需求等。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzFkNzg5NDUwYTUyNDE5OGRkNmI2MzdhNjE2MjVjNjk4YmNjNmFkOGQucG5n.jpg"></p>
<p>执行计划最后变成一个DAG，上图示例中DAG与MapReduce的区别在于：DAG少了一次多余的读写操作。</p>
<p><b>资源调度的挑战</b><b></b></p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzViZmMzYWRkY2NmN2ZjNTdjNjU5ODMyMzYwYWUwNTY2M2RjMWJiYjEucG5n.jpg"></p>
<p>下面来看看分布式调度的资源调度挑战。每天需要调度的实例非常多，达到百亿级别，同时又有多达万台单集群的资源容器，如何快速有效地将实例调度到容器中是我们亟需解决的一个问题。因为，这其中调度决策频率是非常高的，达到2000+/秒，并且还需要考虑调度的机器是否最适合目标实例。</p>
<p>调度器一般采用增量式调度，当调度实例不是最优时，需要考虑Latency和Throughput的平衡；还需要考虑负载均衡，热点规避；同时还需要注意任务优先级的实时性和公平性。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzgzOWEzZWNjNzY4Njk0ZjZlN2FlZTlmZThkZTY3NzA3YzY2YTUxMjQucG5n.jpg"></p>
<p>调度是一个非常难的问题，在分布式计算平台上调度的目标分为多个维度：第一个维度是高使用效率；第二个维度是多租户公平性；第三个维度是实时性。各维度要求之前有时是相互矛盾的，例如提升使用效率时会牺牲公平性和实时性。为了达到最好的调度效果，需要对多维度的资源和各异需求CPU、Disk、Memory进行分析；并对各调度对象统计信息，各机器资源实时统计信息。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzA3YTFlNjQxZDE5ZmU5OWQ4ZTA1MWNjODA4MTkyMGFkOWU0OTg3YjkucG5n.jpg"></p>
<p>大规模下任务调度也面临着很多挑战，第一点数据交换，当上万个Partitioner和上万个aggregator，但连接边就可能达到百万级别；第二点是长尾的检测以及Duplicate Execution触发；第三点是调度，数万台机器以及每天数百万级别的Job，数百亿级别的Task，高效调度也是一个难题。</p>
<p><b>运行时优化</b><b></b></p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzNkMjdiN2Y2ZWM3ZDY1NWEyNDBiN2NjMjU0YTAyMDM1NDdiZTJlYzIucG5n.jpg"></p>
<p>除了调度优化之外，很多情况下需要动态DAG（运行时优化）：</p>
<ul>
<li>考虑运行时候数据大小进行并行粒度的选择；</li>
<li>考虑到运行节点在集群中的拓扑结构来进行有效数据传递提高网络性能和容错处理；</li>
<li>通过运行数据分布决定Range Partition的边界选取，避免data-skew。</li>
</ul>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2M1MDM4NzliYjlkNmI4NGE2YThkZjg0MTRkMzBmMDFkZjFiNWNhYmUucG5n.jpg"></p>
<p>除了单个Job调度上的优化，同时还有MaxCompute运行时的优化，通常利用LVM技术，在运行时根据SQL Query特点生成较优的机器码；采用列式执行框架，提高CPU流水线的执行效率，并提高缓存命中率；充分利用CPU特性（SIMD），实现指令级别的向量执行。充分利用硬件的计算能力，提高单点的运算效率。</p>
<p>持续改进和发布中的挑战<b></b></p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzA1ZmRmMDc2MTVmMGJkYjdiODQ2ZWNjZmZiYTRiMWI0ODk1ZjVmMDAucG5n.jpg"></p>
<p>MaxCompute每天都有百万级别的作业，在新的功能不会造成线上故障前提下，持续不断地改进和发布系统是一个很高要求的挑战。同时，由于计算集群十分庞大，重新搭建一个规模相当的测试集群是不可取的方式。</p>
<p>安全性方面，MaxCompute从第一天就强调安全性，在测试模拟用户的场景时需要将用户的数据迁移到测试环境中，这其中就涉及到数据脱敏的过程，进而引发一系列的问题。因此，处理可测性和安全性之间的矛盾也是一个难点。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzU2NTBkOWUxOGE4OTQ4YzU5YzhjOTA3NTliMWU0NDcwZTEzMGQ3MWQucG5n.jpg"></p>
<p>目前的解决方案有两种：第一种是通过Playback编译器，利用大规模运算平台的并行运算能力来验证兼容性测试，具体做法是将编译查询作为一个ODPS的UDF，然后执行一个并行DAG来执行上百万查询的编译优化，然后在智能分析结果得到新功能的潜在风险。</p>
<p>如上流程图所示，一个新的查询发送至查询数据库中；当有新版本发布时，执行ODPS的Playback Query，然后执行之前所有任务的查询，并查看查询计划是否符合预期。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzAxZDQ5Y2IwODE0OWUyNDI0OTYwZDBhOTEyOTQzMDM3MWZlMDEwMmIucG5n.jpg"></p>
<p>第二种是MaxCompute Flighting工具，用于保证MaxCompute优化器和运行器正确执行，避免快速迭代中的正确性问题，从而避免重大的事故，同时还能保证数据安全性。由于企业不可能构建一个离线的规模相当的测试集群，并且利用测试集群进行相应的测试会导致资源的大量浪费，在数据安全的上，需要脱敏来拖数据、改变查询行为、触及用户数据，并且不能做对等测试，过程复杂冗长，不能达到测试目的。</p>
<p>因此我们给出的方法是线上测试，通过伏羲的资源控制和好的隔离、优先级管理，在线上利用1%的资源分配给测试用户组，对用户而言是非常透明的，并且不需要脱敏数据来进行测试数据的准备，安全性也随之提升。此外，由于动态调度，当无需测试时，1%的资源可以被分配真正的生产用户加以利用，充分发挥系统的资源利用率。</p>
<hr>
<br /><b>关于分享嘉宾：</b></p>
<p>林伟：阿里云大数据计算平台资深架构师，阿里云大数据计算平台MaxCompute首席架构师。具有大规模并发系统有10年以上的系统架构设计及研发经验，并在国际一流ODSI、NSDI、SIGMOD会议上多次发表论文。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzAwZDI0ZGJhZjYwZjVhNTNjNGNmYmVlMzE0MjQxMmRkYzQyOTBiZWMucG5n.jpg"></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 10:45:02</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e4%bc%98%e5%8c%96%e5%99%a8/" title="优化器">优化器</a>, <a href="https://www.iamivan.net/tag/%e5%a4%a7%e6%b5%81%e9%87%8f%e9%ab%98%e5%b9%b6%e5%8f%91%e4%ba%92%e8%81%94%e7%bd%91%e5%ba%94%e7%94%a8%e5%ae%9e%e8%b7%b5%e5%9c%a8%e7%ba%bf%e5%b3%b0%e4%bc%9a/" title="大流量高并发互联网应用实践在线峰会">大流量高并发互联网应用实践在线峰会</a>, <a href="https://www.iamivan.net/tag/%e6%9e%97%e4%bc%9f/" title="林伟">林伟</a>, <a href="https://www.iamivan.net/tag/maxcompute%e8%ae%a1%e7%ae%97%e5%b9%b3%e5%8f%b0/" title="MaxCompute计算平台">MaxCompute计算平台</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>10年老兵带你看尽MaxCompute大数据运算挑战与实践的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5W52Ab.html" rel="bookmark">数据分析还在婴儿期？看TalkingData谈大数据生效的关键因素</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				通过大数据技术实现企业运营效率的提升是我们当前的一个重要目标,但这项工作并不是每个企业都那么容易上手.在1月21日的&quot;10亿说 TalkingData移动互联网产业指数数据报告发布会&quot;上,多名业内专家及TalkingData高层为我们分享了释放大数据价值现存的一些坑,以及我们可以怎么解决. 所谓10亿说,是指TalkingData的平台现在已经覆盖了10.6亿的移动智能设备,包括iOS.Android的系统平台,包括智能手机.平板.智能电视等等不同的设备形态. 专家说:真正的分析还在婴			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6Z93yM.html" rel="bookmark">从BAT看企业构建大数据体系的六层级</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				文章讲的是从BAT看企业构建大数据体系的六层级,本文将企业大数据体系的构建分为六个层级,但并非是线性过程,每个层级之间或有基础关系,但并不是说一定要逐层构建.例如创业型公司,在缺乏数据研发实力的时候,多数会借助第三方平台进行数据上报与分析.下面一张图,是本文的精华概括,后面一一展开与大家探讨. 一.数据基础平台基础的数据平台建设工作,包含数据平台建设,数据规范,数据仓库.产品数据规范,产品ID,用户ID,统一SDK等.很多公司的数据无法有效利用,就是缺乏统一规范,产品数据上报任由开发按照自己的理			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwJdDvp.html" rel="bookmark">生态与兼容：MaxCompute大数据生态集成和开发工具</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				当我们在谈论关于数据生态与兼容时,我们会想到诸如OGG,Sqoop这类支持在分布式文件系统与传统的数据库间进行数据传递的工具,诸如SQL,Hadoop MR社区兼容,JDBC,ODBC的生态连接.阿里的MaxCompute大数据生态集成和开发工具做到了哪些生态连接,MaxCompute Studio你又是否有兴趣了解呢? 欢迎加入MaxCompute钉钉群讨论			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mg362EM.html" rel="bookmark">帮助企业做好MaxCompute大数据平台成本优化的最佳实践</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				阿里云大数据计算服务MaxCompute通过灵活性.简单性和创新为您企业的业务环境带来了变革,但是您企业是否通过其实现了原本预期的节省成本的目标呢?本文中,我们将为广大读者诸君介绍优化您企业MaxCompute开销的一些关键性的策略. 自从MaxCompute于2010年进入市场以来,计算服务MaxCompute就已然永远地改变了整个IT世界了.尽管其价格优势已经领先业界了,但仍然有许多企业客户了解到,迁移到公共云服务并不总是能够帮助他们实现预期的成本节约的目标. 这并不意味着迁移到公共云服务是			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxoNL0b.html" rel="bookmark">DataV地图组件全新发布，带你玩转地理大数据</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.无级缩放 总会遭遇到这样的尴尬,地图缩放等级多一级太大,少一级又太小,强迫症患者简直不能忍,别担心,新版本的地图组件支持分数级缩放啦!下面就带大家感受一下: 有了无级缩放,大家就可以任意调整至最合适的显示区域了,不用在两个整数缩放等级之间纠结万分了,是不是很赞? 二.新增行政下钻区域热力组件 这个可以说是诸多客户期待已久的组件了,终于在DataV地图组件亮相啦!先来一睹为快: 相比较之前需要在地图工具上下载对应的区域的geojson数据再填入区域热力图的矢量面数据源,然后再配置映射数据来说(			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Ml0aZNM.html" rel="bookmark">MaxCompute&sol;DataWorks 数据集成与开发实践</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				摘要:在2017杭州云栖大会阿里云数加DataWorks专场上,阿里云产品专家代俊峰(花名:普阳)为大家分享了如何借助阿里云数加DataWorks工具进行数据集成和开发,分享了如何借助DataWorks实现从数据处理手工作坊到数据加工工厂的跨越转变.   本文内容根据嘉宾演讲视频以及PPT整理而成.   从整体的角度来看,数据的开发主要包括以下五个环节: 1.         总体架构 2.         数据集成 3.         数据建模 4.         数据开发 5.     			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnR2OWp.html" rel="bookmark">扒开现象看本质：大数据应用初成气候</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				想必没有几个人记得&quot;安防大数据&quot;是何时喊出的,但其口号始终在延续,多年在&quot;云端&quot;,一度神一般地存在,却又捉不透.摸不着.不过在行业同仁的共同努力下,其终于开始&quot;食人间烟火&quot;了.作为新一代安防的寄托,大数据应用神技究竟练到了第几层?今天我们就来扒一扒. 大数据落地:众之所盼,却含苞晚放 翻阅a&amp;s安全自动化的历史技术文章,不乏大数据.云计算的技术文章,谈得多了,听得多了,似乎大数据距我们咫尺之遥,呼之欲出;但实际上,大数据始终虚无缥缈,吵吵			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3k8yAb.html" rel="bookmark">央视携手百度看春运：大数据下的中国人口迁徙</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				电视新闻与大数据能够碰撞出什么样的火花?昨天,央视晚间新闻推出&quot;据说春运&quot;特别节目,首次采用百度地图LBS定位的可视化大数据,播报国内春节人口迁徙情况.业内人士指出,这也是大数据首次以老百姓能看懂的方式,可视化展现在电视屏幕上.这种新颖的新闻报道方式在播出后引发网友们热议,&quot;很有意思,原来透过数据可以找出这么多亮点&quot;.&quot;画面做得很炫,科技感十足,晚间新闻这样的春运报道别开生面!&quot; 大数据时代来临已经是科技界的共识,其实大数据对于传媒行业同样具有重			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bEGlxLp.html" rel="bookmark">电商公司必看的9大数据</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				如今的数据分析软件多如牛毛,数据细分的越来越来好,虽说数据越多,越细分,越好,可看到这些纷繁复杂的数据,不免让人眼花缭乱,最终却看不懂数据,其实在看数据的时候,抓住几个核心数据,在向下延伸,如抽丝剥茧一样,就会清晰很多,现在 让我们看看必须看的店铺九大数据. 1.流量(UV) 店铺的流量就如同汽油一样,汽车没了油,再好的车也是扯淡,店铺没了流量,也就没了运行的动力源,其他任何事情也就无从谈起. 2.访问深度 大家都去过商场,大的商场中间通常是中空的,站在一楼便可看见二楼以上卖的是什么,并且每个电			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0bo7Djb.html" rel="bookmark" class="title">关于js校验</a>
					<div>
						关于js校验 判断字符传是否符合如下格式: 111,222,333,444 逗号分割的数字组合 主要有两个小函数: &lt;script&gt; function isIntNumber(num) { ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/apXgjvM.html" rel="bookmark" class="title">ignoreCase 属性</a>
					<div>
						  返回 Boolean 值,指出正则表达式使用的 ignoreCase 标志(i) 的状态.默认值为 false.只读. rgExp.ignoreCase 必选项 rgExp 参数为 RegExp  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMrenmb.html" rel="bookmark" class="title">浅析：i如何做好优质的外链</a>
					<div>
						目前有两个比拟重要的对网站的权重性影响比拟大的网站--YAHOO和DMOZ,YAHOO是收费的而且价钱也有点贵,但是他确实是存在很高的价值,(特别是的对此处分是相当严峻的!)因此千万别以群发方式去做链 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQe1rb.html" rel="bookmark" class="title">浅谈对编写高质量文章的三要点</a>
					<div>
						导读:在网络推广中高质量的文章对网站的推广与排名是不言而喻的,但对于许多新站长来说想要独立编写高质量的文章还是有些困难的.今天笔者就以往的经验为大家分享一下,如何编写高质量的文章. 通常我们所说的高质 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB2daob.html" rel="bookmark" class="title">Linux系统初学者的常见问题解决集结</a>
					<div>
						一. 如何建立多用户 提醒大家一句,别一直使用root用户,因为root用户在系统中有着至高无上的权力,一不小心就可能破坏系统.比如我们想删除/temp目录下的文件却将命令不小心输成&quot;rm  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJ7nE7b.html" rel="bookmark" class="title">Win7系统笔记本键盘失灵怎么办</a>
					<div>
						  Win7系统笔记本键盘失灵怎么办 解决方法: 1.首先使用快捷键&quot;win+R&quot;打开&quot;运行&quot;窗口,接着在窗口中输入&quot;regedit&quot;点击回 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnx5jkb.html" rel="bookmark" class="title">Win8&period;1系统开始屏幕出现红色方框该怎么办？</a>
					<div>
						  解决方法: 1.从正常的Win8.1系统电脑上C:windowsfonts文件夹下找到缺少的字体复制到故障电脑同目录下,如果不知道哪个可以全部复制,然后粘贴进去. 2.字体复制完成后重启电脑即可解 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVnjgYz.html" rel="bookmark" class="title">清除IE恶意插件加快上网速度</a>
					<div>
						我们在上网冲浪的时候,很多网站需要安装插件,有时候由于安装的过多的IE插件,导致IE浏览器的开启与浏览速度变得很慢,很多用户都会怀疑自己安装了过多的IE插件导致,但这些插件该如何下载呢,下面是小编在电 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK7gd7b.html" rel="bookmark" class="title">无线网络IP地址冲突的分析</a>
					<div>
						无线网络IP地址冲突是我们最为常见的网络故障之一,经常禁用然后启用.那么有时候这个方法就不管用了,那么如何解决呢?当无线接入点作为DHCP服务器工作时,它们可能会引起两个主要问题. 第一是增加IP地址 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3NgLgz.html" rel="bookmark" class="title">PPT2010如何打印讲义母板</a>
					<div>
						  1.打开幻灯片,点击&quot;视图&quot;选项卡下的&quot;讲义母板&quot;. 2.在讲义母板选项卡下设置这些参数: 讲义方向:横向/纵向; 幻灯片方向:横向/纵向; 每页幻灯片数量 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP8Qnlp.html" rel="bookmark" class="title">安全有道之如何构建电子商务的&OpenCurlyDoubleQuote;安保系统&rdquo;？</a>
					<div>
						 电子商务与我们的生活息息相关,电商行业也是黑产的重要目标之一,这个行业有哪些安全问题?如何解决这些问题呢? 电商行业面临的安全威胁和挑战  电商行业面临的安全威胁主要有以下两个方面: 1. 盗取电商 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo7vWvb.html" rel="bookmark" class="title">cocoa pods 报错 &lbrack;&excl;&rsqb; Invalid &grave;Podfile&grave; file&colon;</a>
					<div>
						问题描述 cocoa pods 报错 [!] Invalid `Podfile` file: cocoa pods pod install 是报错 [!] Invalid Podfile file:  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8Zrq9b.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;百度开发者中心&rdquo;与DCCI联合发布的报告显示</a>
					<div>
						&quot;百度开发者中心&quot;与DCCI联合发布的&lt;移动开发者解决方案调研报告&gt;显示,尽管传统互联网巨头纷纷涌入移动互联网,国内移动互联网用户也接近6亿,但由于开发门槛不断提高及盈 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOl3X9b.html" rel="bookmark" class="title">JavaScript iframe的相互操作浅析&lowbar;javascript技巧</a>
					<div>
						iframe元素也就是文档中的文档,或者好像浮动的框架(frame).关于iframe的操作一直是一个疑难点,网上有很多这方面的文章介绍.下面我结合自己的经验,整理一下笔记记录下来.一.页面三个页面: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQ45Dp.html" rel="bookmark" class="title">iOS漏洞频出&comma;是因为苹果不够专注还是疲于应对安卓的挑战&quest;</a>
					<div>
						自今年3月22号春季发布会上推送iOS9.3正式版之后,苹果这个新的系统就没少废功夫把焦点引到自己身上.先是用户爆出刚升级新系统时,自己的设备无法激活,直接变砖.紧接着近日推送的iOS9.3.1又爆出 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6ZNyXM.html" rel="bookmark" class="title">如何自定义moreView里面的小功能？</a>
					<div>
						问题描述 就是这个区域,比如我想要按钮加文字,新添加功能按钮,怎么办? 解决方案 添加一个按钮设置布局就可以了,然后设置点击事件.解决方案二:以demo3.0 为例.在EaseMessageViewC ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1rDgrp.html" rel="bookmark" class="title">缓存你的Bitmap对象</a>
					<div>
						   在app中通常最占内存.占流量的元素就是图片了,图片往往又无处不在,特别是伴随着list,GridView或者ViewPager出现,这些图片随着你的滑动操作,时而出现在你的屏幕中,时而消失在屏 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY5Br9M.html" rel="bookmark" class="title">RDS for MySQL 使用 utf8mb4 字符集存储 emoji 表情</a>
					<div>
						RDS for MySQL 使用 utf8mb4 字符集存储 emoji 表情 1. 基本原则 2. 三个条件的说明 2.1 应用客户端 2.2 应用到 RDS MySQL 实例的连接 2.3 RDS ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkeJD7b.html" rel="bookmark" class="title">内外网数据库数据同步问题</a>
					<div>
						问题描述 公司有一个项目,需要实现内外网数据库的数据同步.向大神请教方案.项目场景如下,有三台服务器:1.阿里云:有服务端程序和数据库(主服务器)2.A公司:有服务端程序和数据库3.B公司:有服务端程 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqRqWKp.html" rel="bookmark" class="title">基于Hadoop分布式数据库HBase1&period;0部署及使用</a>
					<div>
						HMaster主要负责Table和Region管理工作:   1. 管理用户对Table的增.删.改.查操作   2. 管理HRegionServer的负载均衡,调整Region分布   3. 在Re ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPBgV0b.html" rel="bookmark" class="title">Android WebView详解</a>
					<div>
						MainActivity.java package com.example.web; import android.app.Activity; import android.app.ProgressD ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Zqa7z.html" rel="bookmark" class="title">凯立德导航全新首发 实时路况尽在掌控</a>
					<div>
						凯立德移动导航系统iPhone/iPad版不但继承了凯立德专业级的导航性能.精准的全国导航地图,还创新推出声控&quot;随意说&quot;等多种 实用功能.最新推出的凯立德路况服务,以独特的交通事件 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2261qb.html" rel="bookmark" class="title">struts2 jxl大数据导出excel</a>
					<div>
						问题描述 struts2 jxl大数据导出excel 百万数据 使用_struts2 jxl导出(excel)据解决方案,求大神回复. 解决方案 excel最大支持的数据行数是10几万行,所以要换成导 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyeDovM.html" rel="bookmark" class="title">设计模式&ast;java多态</a>
					<div>
						问题描述 现在有这种情况:有多个结构差不多的类,指它们的成员变量,成员函数都基本相同,但它们,有个字段是互不相同的(声明类型跟值都不同).很自然,我们会将这些类的共同部分,抽取出来,放在一个父类里,然 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3JwPmz.html" rel="bookmark" class="title">Java中数组 问题。。。。。。。。。。。。。。。</a>
					<div>
						问题描述 Java中数组 问题............... 结果是什么 解决方案 已知是什么?三个数组,一个二维数组 要求什么?没看懂.同一个字母在三个数组中都有可能出现,位置还可能不一样,所以结果 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWWQ9AM.html" rel="bookmark" class="title">Radware荣获五项2017年全球卓越奖 称号顶级安全管理服务提供商</a>
					<div>
						日前,全球领先的网络安全和应用交付解决方案提供商Radware(NASDAQ: RDWR)公司宣布,获得领先的信息安全研究和咨询指导机构信息安全产品指南颁发五项2017年全球卓越奖,其中包括Radwa ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b22jmob.html" rel="bookmark" class="title">javascript-求TX文件服务器上的网页</a>
					<div>
						问题描述 求TX文件服务器上的网页 http://sh.ctfs.ftn.qq.com/ 服务器是TX的文件服务器,现请帮忙找一下,这网址底下有没有所有人都能打开的页面,且该页面的脚本把documen ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlmjZRp.html" rel="bookmark" class="title">codeigniter中实现一次性加载多个view的方法&lowbar;php实例</a>
					<div>
						本文实例讲述了codeigniter中实现一次性加载多个view的方法.分享给大家供大家参考.具体如下: function somecontrollerfunction() { $data['page ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBkr8JM.html" rel="bookmark" class="title">佳能7D相机进化高ISO感光度降噪功能分享</a>
					<div>
						给各位摄影爱好者们来详细的解析分享一下佳能7D相机进化高ISO感光度降噪功能. 分享一览: 灵活运用的要点: 1.使用三脚架拍摄的话,即使是夜景摄影也能在ISO 3200时将&quot;NR&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgEaW8z.html" rel="bookmark" class="title">群聊发送消息send meesage failed-- error&colon; server not reachable&period;</a>
					<div>
						问题描述 发送消息失败2015-10-30 11:15:11:267 ChengDuInstituteOfTechnology[1919:607] begin insert message to ch ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.033 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
